summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/cfgio/cfgio-0.1.2.ebuild')
-rw-r--r--dev-python/cfgio/cfgio-0.1.2.ebuild24
1 files changed, 24 insertions, 0 deletions
diff --git a/dev-python/cfgio/cfgio-0.1.2.ebuild b/dev-python/cfgio/cfgio-0.1.2.ebuild
new file mode 100644
index 00000000000..bcb4a548829
--- /dev/null
+++ b/dev-python/cfgio/cfgio-0.1.2.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python3_{3,4} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for reading and writing configuration file formats found on a *nix systems"
+HOMEPAGE="https://github.com/ercpe/cfgio"
+SRC_URI="https://github.com/ercpe/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="GPL-2"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_test() {
+ py.test || die "Testing failed with ${EPYTHON}"
+}